Subject: Re: Forcing MIME reading

From: [email-masked] (Rick Troxel)
Date: Tue, 7 May 1996 16:42:14 GMT

In article <[email-masked]>
[email-masked] (Mike Brudenell) writes:

> Your trouble stems from having redirected the message through the VAX MAIL
> program, which does not understand about MIME.  When the message was
> forwarded from there VAX MAIL simply added a fresh set of "Date",
> "Subject", etc headers.  It did not understand the MIME headers, and so
> did not include them properly.

> It is very difficult to recover from this situation: I guess it is
> _theoretically_ possible to try and edit the forwarded message in your
> mail folder into the correct form.  But....!

> In practice you need to get hold of a wonderful little program called
> "munpack".  This is for unpacking (decoding) the Base64 encoding MIME
> uses, and will recreate the original file from the attachment information
> buried in the depths of the message.

I have found an occasional need for editing headers even with munpack.
>From our locally modified munpack(1):

     NOTES
	  If a MIME message is forwarded using a non-MIME compliant
	  mailer, its MIME encoding will not be	recognized.  To	fix
	  this,	save the message as a file and edit the	file.  Look
	  for the first	Content-Type: mail header, and copy that
	  header into the first	"paragraph" of mail headers, somewhere
	  after	its first line.

> I can't recall off the top of my head a URL for munpack

ftp://ftp.andrew.cmu.edu/pub/mpack/mpack-1.4-src.tar.Z

Regards,
--
Rick Troxel  [email-masked]   [email-masked]  301/435-2983
  http://www.access.digex.net/%7Erobjen/dc-sage/bios/rick_troxel/
///////////////////////////////////////////////////////////////////
 All effort and exertion put forth by man from the fullness of his
 heart is worship, if it  is prompted  by the  highest motives and
 the will to do service to humanity.                 --Abdu'l-Baha